package com.ruoyi.common.enums;

/**
 * 保证金缴纳类型
 *
 * @author ruoyi
 */
public enum BondTransactionType {
    PAY(0, "缴纳保证金"),
    DEDUCT(1, "扣除保证金"),
    REFUND(2, "保证金退款"),
    ;

    private final Integer type;
    private final String msg;

    private BondTransactionType(Integer type, String msg) {
        this.type = type;
        this.msg = msg;
    }

    public Integer getType() {
        return this.type;
    }

    public String getMsg() {
        return this.msg;
    }
}
